Summary: Cluster administation tools  
Name: piranha
Version: 0.2.1
Release: 1
Copyright: GPL 
Group: System Environment/Base 
Source0: piranha-%{PACKAGE_VERSION}.tar.gz
Buildroot: /var/tmp/piranha-root
Prereq: /sbin/chkconfig

%package gui
Requires: piranha
Summary: The cute little graphical configuration tool for lvs
Group: Applications/System

%package docs
Summary: Documentation for the Red Hat clustering environment
Group: Documentation

%description 
Various tools to administer and configure the Linux Virtual Server as well as
heartbeating and failover components.  The LVS is a dynamically adjusted
kernel routing mechanism that provides load balancing for web servers and ftp
servers.  

%description docs
This package contains documentation files found on the Internet as well as
some written by Red Hat.  These files include the HTML contents of
www.linuxvirtualserver.org.

%description gui
Piranha is a GUI frontend tool to administer the cluster nodes.  It calls
the lvs backend daemon to manage and edit the lvs configuration file.

%prep
%setup -n piranha

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" all

%install
rm -rf $RPM_BUILD_ROOT
make install
strip $RPM_BUILD_ROOT/usr/sbin/*
mv docs/HOWTO HOWTO

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/chkconfig --add pulse

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del pulse
fi

%files
%defattr(-,root,root)
%doc sample.cf AUTHORS COPYING Changelog README
%config /etc/rc.d/init.d/pulse
/usr/sbin/ipvsadm
/usr/sbin/lvs
/usr/sbin/nanny
/usr/sbin/pulse
/usr/sbin/send_arp
/usr/man/man5/lvs.cf.5
/usr/man/man8/*
/usr/share/gnome/apps/System/piranha.desktop
/etc/X11/applnk/System/piranha.desktop
/usr/share/pixmaps/piranha-icon.png

%files docs
%defattr(-,root,root)
%doc docs/* pics/*
%doc sample.cf AUTHORS COPYING Changelog README HOWTO

%files gui
%defattr(-,root,root)
%doc AUTHORS COPYING README
/usr/sbin/piranha

%changelog
* Sat Sep 25 1999 Mike Wangsmo <wanger@redhat.com>
- added the HOWTO

* Fri Sep 24 1999 Mike Wangsmo <wanger@redhat.com>
- added KDE desktop entry
- added piranha icon pixmap
- fixed *tons* of lvs <-> gui glue problems

* Tue Sep 21 1999 Mike Wangsmo <wanger@redhat.com>
- added a send_arp tool to the package
- removed the /etc/lvs.cf entry (it was dumb here)
- strip all binaries too
- added nanny to package

* Tue Sep 21 1999 Mike Wangsmo <wanger@redhat.com>
- moved all bins to /usr/sbin
- added pulse init script

* Mon Sep 20 1999 Mike Wangsmo <wanger@redhat.com>
- moved piranha to its own package

* Thu Sep 9 1999 Mike Wangsmo <wanger@redhat.com>
- added the documents package

* Wed Sep 8 1999 Mike Wangsmo <wanger@redhat.com>
- added a few more files to the file list
- relocated some things.
- put in a stub config file

* Tue Sep 7 1999 Mike Wangsmo <wanger@redhat.com>
- restructured the package to come from CVS
- renamed it
- added oot's lvs daemon
- added the perl client_monitor tool from Lars Marowsky-Bree
- put stubs in for the GUI
- buffed up the Makefile

* Sun Jul 25 1999 Mike Wangsmo <wanger@redhat.com>
- initial build
